> ## Documentation Index
> Fetch the complete documentation index at: https://docs.simplepay.mx/llms.txt
> Use this file to discover all available pages before exploring further.

# Get reporting balances (payment-operations)



## OpenAPI

````yaml /openapi.json get /v1/reporting/balances
openapi: 3.1.0
info:
  title: SimplePay API
  version: '2026-06-13'
  description: >-
    Contrato público para integrar SimplePay desde un backend. Incluye
    únicamente operaciones para comercios y administración protegida de
    credenciales.
servers:
  - description: Live
    url: https://api.simplepay.mx
  - description: Sandbox
    url: https://api.test.simplepay.mx
security:
  - SimplePayApiKey: []
tags:
  - name: API keys
  - name: Hosted Checkout
  - name: Payment Links
  - name: Payments
  - name: Refunds
  - name: Webhooks
  - name: Digital Catalog
  - name: Payment Policy
  - name: Reporting
  - name: Workspace
  - name: Customer Hub
  - name: Bookable Payments
  - name: Table Pay
  - name: Physical Checkout
  - name: In-person Payments
  - name: Terminal
  - name: Tap to Pay
  - name: Ticketing
  - name: Admission Control
  - name: Intelligence
externalDocs:
  description: SimplePay developer documentation
  url: https://docs.simplepay.mx
paths:
  /v1/reporting/balances:
    get:
      tags:
        - Reporting
      summary: Get reporting balances (payment-operations)
      operationId: getReportingBalances
      responses:
        '200':
          description: >-
            Current tenant balances in exact minor units, plus reconciled
            balance transactions and payouts.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ReportingBalancesResponse'
components:
  schemas:
    ReportingBalancesResponse:
      type: object
      additionalProperties: false
      required:
        - object
        - as_of
        - balances
        - balance_transactions
        - payouts
      properties:
        object:
          const: simplepay.v1.reporting.balances
        as_of:
          type:
            - string
            - 'null'
          format: date-time
        balances:
          type: array
          maxItems: 64
          items:
            $ref: '#/components/schemas/ReportingCurrentBalance'
        balance_transactions:
          type: array
          maxItems: 100
          items:
            $ref: '#/components/schemas/ReportingBalanceTransaction'
        payouts:
          type: array
          maxItems: 100
          items:
            type: object
            additionalProperties: true
    ReportingCurrentBalance:
      type: object
      additionalProperties: false
      required:
        - currency
        - available_minor
        - pending_minor
        - connect_reserved_minor
      properties:
        currency:
          type: string
          pattern: ^[a-z]{3}$
        available_minor:
          type: integer
          format: int64
          minimum: -9007199254740991
          maximum: 9007199254740991
        pending_minor:
          type: integer
          format: int64
          minimum: -9007199254740991
          maximum: 9007199254740991
        connect_reserved_minor:
          type: integer
          format: int64
          minimum: -9007199254740991
          maximum: 9007199254740991
    ReportingBalanceTransaction:
      type: object
      additionalProperties: true
      required:
        - transaction_kind
        - related_transfer_id
      properties:
        transaction_kind:
          type: string
          enum:
            - provider_transaction
            - platform_transfer
        related_transfer_id:
          type:
            - string
            - 'null'
          pattern: ^sptr_[a-z0-9]{32}$
  securitySchemes:
    SimplePayApiKey:
      type: http
      scheme: bearer

````